org.apache.ignite.internal.pagemem.store

## Interface PageWriteListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface PageWriteListener

Each page write attempt to a `FilePageStore` may be covered by such listener. If it is necessary, a page data can be handled by another process prior to actually written to the PageStore.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept(long pageId, ByteBuffer buf)`

### Method Detail

#### accept

    void accept(long pageId,
                ByteBuffer buf)

Parameters:
  `pageId` - Handled page id.
  `buf` - Buffer with data.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020